﻿@import url("https://unpkg.com/survey-jquery/defaultV2.min.css");

.dnnLoginActions ul li:first-child {
	display: none !important;
}

.red {
	color: red !important;
}

.maxWidth24ch {
	display: inline-block;
	overflow: hidden;
	max-width: 24ch;
	text-overflow: ellipsis;
	white-space: nowrap;
}

.marginBottom1rem {
	margin-bottom: 1rem;
}

#siteWrapper .Normal {
	font-size: medium;
}

#siteWrapper * {
	line-height: var(--bs-body-line-height);
}

#siteWrapper p {
	margin-bottom: 1rem;
}

#siteWrapper .color-myo-blue {
	color: var(--myo-blue);
}

#siteWrapper a.myo-protocol-nav-item {
	color: black;
}

	#siteWrapper a.myo-protocol-nav-item.done {
		color: var(--myo-blue);
	}

	#siteWrapper a.myo-protocol-nav-item.active, #siteWrapper a.myo-protocol-nav-item.active.done {
		color: var(--myo-orange);
	}

	#siteWrapper a.myo-protocol-nav-item.disabled {
		opacity: 0.9;
		pointer-events: none;
	}

#siteWrapper .navbar-nav {
	flex-direction: row;
}

#siteWrapper a.btn {
	color: inherit;
}

#siteWrapper a.btn-primary, #siteWrapper a.btn-secondary {
	color: white;
}

#siteWrapper a.btn-light {
	font-size: 0.8rem;
	font-weight: 700;
}

#siteWrapper ul.nav a,
#siteWrapper ul.nav a:visited {
	color: inherit;
}

	#siteWrapper ul.nav a.active {
		color: var(--myo-blue);
	}

#siteWrapper .myo-nav-item {
	text-transform: uppercase;
	font-size: 0.8rem;
	font-weight: 700;
	color: var(--myo-dark-blue);
	text-decoration: none;
}

	#siteWrapper .myo-nav-item:hover, #siteWrapper .myo-nav-item.active {
		color: var(--myo-blue);
	}


/* Style ngTable*/
.myo-admin-table th {
	padding: 1.6rem;
	font-weight: normal;
}

	.myo-admin-table th span {
		cursor: pointer;
	}

		.myo-admin-table th span:hover {
			text-decoration: underline;
		}

/* Style DatePicker */
._720kb-datepicker-calendar-header:nth-child(odd) {
	background: var(--myo-blue);
	padding: 10px 0;
	font-weight: bold;
}

._720kb-datepicker-calendar-days-header {
	background: var(--myo-dark-blue);
}

	._720kb-datepicker-calendar-days-header div {
		color: white;
	}

/* Style loader */
/** Loader **/
#cssload {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(9, 35, 67, 0.9);
	z-index: 9999;
	display: none; /* contexte sur le parent */
	flex-direction: column; /* direction d'affichage verticale */
	justify-content: center; /* alignement vertical */
	background-attachment: fixed;
	background-size: cover;
	/*animation: changeBg 2s linear infinite;*/
}

	#cssload .loader {
		position: relative;
		width: 50px;
		height: 50px;
		border-radius: 50%;
		background: linear-gradient(to left, rgba(9, 35, 67, 0.9) 30%, #32B7BC);
		border: 6px solid #32B7BC;
		animation: rotate 1s linear infinite;
		margin: 0 auto;
	}

		#cssload .loader::before {
			content: " ";
			position: absolute;
			background: rgba(9, 35, 67, 0.9);
			inset: 5px;
			border-radius: 100%;
		}


@keyframes changeBg {
	to {
		filter: hue-rotate(360deg);
	}
}

@keyframes rotate {
	to {
		transform: rotate(360deg);
	}
}


@media (max-width: 992px) {
	.myo-protocol-nav {
		display: flex;
		margin-top: 0;
		margin-left: 0;
	}

	.myo-protocol-nav-item {
		text-align: center;
		font-size: 0.6rem;
		font-weight: bold;
		color: black;
		text-decoration: none;
		margin: 0;
		flex: 1;
	}

		.myo-protocol-nav-item.active, #siteWrapper a.myo-protocol-nav-item.active {
			background-color: var(--myo-orange);
			color: white;
		}

		.myo-protocol-nav-item.done, #siteWrapper a.myo-protocol-nav-item.done {
			background-color: var(--myo-blue);
			color: white;
		}

		.myo-protocol-nav-item.disabled, #siteWrapper a.myo-protocol-nav-item.disabled {
			opacity: 0.9;
		}


		.myo-protocol-nav-item:hover {
			text-decoration: none;
		}

	.myo-protocol-nav-item-num {
		display: block;
		width: auto;
		height: auto;
		color: black;
		font-size: 0.6rem;
		font-weight: bold;
		text-align: center;
		margin-right: 0;
		background: none !important;
	}

	.done .myo-protocol-nav-item-num {
		color: white;
	}

	.disabled .myo-protocol-nav-item-num {
		opacity: 0.9;
	}

	.active .myo-protocol-nav-item-num {
		color: white;
	}
}

/* ngTable */
.ng-table th.sortable .sort-indicator:after {
	border-color: #fff transparent;
}

.ng-table th.sortable .sort-indicator:before {
	border-top: 4px solid #fff !important;
}

.ng-table th.sortable.sort-desc .sort-indicator:after {
	border-top: 4px solid #fff !important;
}

.ng-table td {
	text-align: center;
}

/* ngTable > pagination */
.ng-table-pagination {
	margin: 15px 0 20px 0;
	justify-content: center !important;
}

	.ng-table-pagination li .page-link {
		border: 0;
		color: black;
		text-decoration: none;
		padding: 0.375rem 0.75rem;
	}

	.ng-table-pagination li.active .page-link,
	.ng-table-pagination .page-link.active {
		border: 0;
		color: var(--myo-blue);
		font-weight: bold;
		text-decoration: none;
		background: none;
	}

	.ng-table-pagination li .page-link:hover,
	.ng-table-pagination li .page-link:focus {
		border: 0;
		color: var(--myo-blue);
		text-decoration: underline;
		background: none;
	}
